Bug 860956 - Resume from suspend fails on GeForce 7300 GT
Resume from suspend fails on GeForce 7300 GT
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 03:56 EDT by Petr Kočandrle
Modified: 2014-09-13 15:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:21:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (264.85 KB, text/plain)
2012-09-27 03:56 EDT, Petr Kočandrle
no flags Details
Xorg log after resume (60.02 KB, text/plain)
2012-09-27 03:58 EDT, Petr Kočandrle
no flags Details
Xorg log before suspend (40.40 KB, text/plain)
2012-09-27 03:58 EDT, Petr Kočandrle
no flags Details

  None (edit)
Description Petr Kočandrle 2012-09-27 03:56:28 EDT
Created attachment 617927 [details]
/var/log/messages

Description of problem:
After suspend resume I don't get back to X, picture is corrupted, then it switches to console view where I get messages
[196.373027] [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
[196.423009] [drm] nouveau 0000:01:00.0: Failed to idle channel 3.
Then it tries to switch to graphics mode but it stays on half the way (background is transparent over the console view).

Version-Release number of selected component (if applicable):
F18 Testday iso

How reproducible:
Everytime

Steps to Reproduce:
1. Start the system.
2. Suspend.
3. Resume.
  
Additional info:
I was able to switch on another console and collect Xorg logs and /var/log/messages.
Comment 1 Petr Kočandrle 2012-09-27 03:58:11 EDT
Created attachment 617928 [details]
Xorg log after resume
Comment 2 Petr Kočandrle 2012-09-27 03:58:40 EDT
Created attachment 617929 [details]
Xorg log before suspend
Comment 3 David Charlton 2012-10-08 14:07:41 EDT
I have a similar experience with PNY GeForce GT430

Boots and runs fine.  Suspend and resume leads to corupted screen and no further progress. 100% repeatable. Running FC17 freshly installed.
Comment 4 David Charlton 2012-10-09 15:46:42 EDT
Just installed Ubuntu 12.04 from scratch.  Suspend and resume now works fine.

This appears to use the NVIDIA proprietary driver by default from install.

I did try installing this on FC17 from rpmfusion.org respository but that failed spectacularly (erroneous screen resolution and locup on boot - I probably got the wrong packages?
Comment 5 Martin 2013-06-11 12:45:17 EDT
Petr and David, are you able to reproduce it on latest Fedora 18 or 19?
Comment 6 Petr Kočandrle 2013-06-11 14:01:19 EDT
I don't have access to that graphics card anymore, so can't say if it still happens or not...
Comment 7 Fedora End Of Life 2013-12-21 03:58:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 07:21:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Petr Kočandrle 2014-06-16 07:30:50 EDT
The bug is closed, so I'm clearing the needinfo request (to get rid of the "[Red Hat Bugzilla] Your Outstanding Requests" e-mails in the future).

Note You need to log in before you can comment on or make changes to this bug.